io.siddhi.extension.execution.map

## Class MergeAggregateFunction

- java.lang.Object
- - io.siddhi.core.query.selector.attribute.aggregator.AttributeAggregatorExecutor<io.siddhi.core.util.snapshot.state.State>
  - - io.siddhi.extension.execution.map.MergeAggregateFunction

- All Implemented Interfaces:
    io.siddhi.core.executor.ExpressionExecutor, Serializable

      public class MergeAggregateFunction
      extends io.siddhi.core.query.selector.attribute.aggregator.AttributeAggregatorExecutor<io.siddhi.core.util.snapshot.state.State>

  Implementation class for map:merge()
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class io.siddhi.core.query.selector.attribute.aggregator.AttributeAggregatorExecutor

      `attributeExpressionExecutors`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MergeAggregateFunction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `io.siddhi.query.api.definition.Attribute.Type` | `getReturnType()`
    `protected io.siddhi.core.util.snapshot.state.StateFactory<io.siddhi.core.util.snapshot.state.State>` | `init(io.siddhi.core.executor.ExpressionExecutor[] attributeExpressionExecutors, io.siddhi.core.query.processor.ProcessingMode processingMode, boolean outputExpectsExpiredEvents, io.siddhi.core.util.config.ConfigReader configReader, io.siddhi.core.config.SiddhiQueryContext siddhiQueryContext)`
    `Object` | `processAdd(Object[] data, io.siddhi.core.util.snapshot.state.State state)`
    `Object` | `processAdd(Object data, io.siddhi.core.util.snapshot.state.State state)`
    `Object` | `processRemove(Object[] data, io.siddhi.core.util.snapshot.state.State state)`
    `Object` | `processRemove(Object data, io.siddhi.core.util.snapshot.state.State state)`
    `Object` | `reset(io.siddhi.core.util.snapshot.state.State state)`

    - ### Methods inherited from class io.siddhi.core.query.selector.attribute.aggregator.AttributeAggregatorExecutor

      `execute, initAggregator`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MergeAggregateFunction

          public MergeAggregateFunction()

  - ### Method Detail

    - #### init

          protected io.siddhi.core.util.snapshot.state.StateFactory<io.siddhi.core.util.snapshot.state.State> init(io.siddhi.core.executor.ExpressionExecutor[] attributeExpressionExecutors,
                                                                                                                   io.siddhi.core.query.processor.ProcessingMode processingMode,
                                                                                                                   boolean outputExpectsExpiredEvents,
                                                                                                                   io.siddhi.core.util.config.ConfigReader configReader,
                                                                                                                   io.siddhi.core.config.SiddhiQueryContext siddhiQueryContext)

      Specified by:
        `init` in class `io.siddhi.core.query.selector.attribute.aggregator.AttributeAggregatorExecutor<io.siddhi.core.util.snapshot.state.State>`

    - #### processAdd

          public Object processAdd(Object data,
                                   io.siddhi.core.util.snapshot.state.State state)

      Specified by:
        `processAdd` in class `io.siddhi.core.query.selector.attribute.aggregator.AttributeAggregatorExecutor<io.siddhi.core.util.snapshot.state.State>`

    - #### processAdd

          public Object processAdd(Object[] data,
                                   io.siddhi.core.util.snapshot.state.State state)

      Specified by:
        `processAdd` in class `io.siddhi.core.query.selector.attribute.aggregator.AttributeAggregatorExecutor<io.siddhi.core.util.snapshot.state.State>`

    - #### processRemove

          public Object processRemove(Object data,
                                      io.siddhi.core.util.snapshot.state.State state)

      Specified by:
        `processRemove` in class `io.siddhi.core.query.selector.attribute.aggregator.AttributeAggregatorExecutor<io.siddhi.core.util.snapshot.state.State>`

    - #### processRemove

          public Object processRemove(Object[] data,
                                      io.siddhi.core.util.snapshot.state.State state)

      Specified by:
        `processRemove` in class `io.siddhi.core.query.selector.attribute.aggregator.AttributeAggregatorExecutor<io.siddhi.core.util.snapshot.state.State>`

    - #### getReturnType

          public io.siddhi.query.api.definition.Attribute.Type getReturnType()

    - #### reset

          public Object reset(io.siddhi.core.util.snapshot.state.State state)

      Specified by:
        `reset` in class `io.siddhi.core.query.selector.attribute.aggregator.AttributeAggregatorExecutor<io.siddhi.core.util.snapshot.state.State>`

Copyright © 2022 WSO2. All rights reserved.